# HttpMethod Class Reference
[HTTP related utilities]

Inheritance diagram for HttpMethod:
[legend]

List of all members.

## Static Public Member Functions

static | get ()
static | post ()

## Public Attributes

const | OPTIONS = 1
const | GET = 2
const | HEAD = 3
const | POST = 4
const | PUT = 5
const | DELETE = 6
const | TRACE = 7
const | CONNECT = 8
const | PROPFIND = 9
const | PROPPATCH = 10
const | MKCOL = 11
const | COPY = 12
const | MOVE = 13
const | LOCK = 14
const | UNLOCK = 15

## Protected Attributes

| $names

## Detailed Description

Definition at line 15 of file HttpMethod.class.php.

## Member Function Documentation

static HttpMethod::get | ( |  | ) | `[static]`

Definition at line 51 of file HttpMethod.class.php.

Referenced by OpenIdCredentials::__construct(), and OpenIdCredentials::loadXRDS().

static HttpMethod::post | ( |  | ) | `[static]`

Definition at line 56 of file HttpMethod.class.php.

Referenced by OpenIdConsumer::associate(), and OpenIdConsumer::checkAuthentication().

## Member Data Documentation

HttpMethod::$names`[protected]`

Initial value:

     array(
                self::OPTIONS   => 'OPTIONS',
                self::GET       => 'GET',
                self::HEAD      => 'HEAD',
                self::POST      => 'POST',
                self::PUT       => 'PUT',
                self::DELETE    => 'DELETE',
                self::TRACE     => 'TRACE',
                self::CONNECT   => 'CONNECT',
                self::PROPFIND  => 'PROPFIND',
                self::PROPPATCH => 'PROPPATCH',
                self::MKCOL     => 'MKCOL',
                self::COPY      => 'COPY',
                self::MOVE      => 'MOVE',
                self::LOCK      => 'LOCK',
                self::UNLOCK    => 'UNLOCK',
            )

Reimplemented from Enumeration.

Definition at line 33 of file HttpMethod.class.php.

const HttpMethod::CONNECT = 8

Definition at line 24 of file HttpMethod.class.php.

const HttpMethod::COPY = 12

Definition at line 28 of file HttpMethod.class.php.

const HttpMethod::DELETE = 6

Definition at line 22 of file HttpMethod.class.php.

const HttpMethod::GET = 2

Definition at line 18 of file HttpMethod.class.php.

Referenced by CurlHttpClient::makeHandle().

const HttpMethod::HEAD = 3

Definition at line 19 of file HttpMethod.class.php.

const HttpMethod::LOCK = 14

Definition at line 30 of file HttpMethod.class.php.

const HttpMethod::MKCOL = 11

Definition at line 27 of file HttpMethod.class.php.

const HttpMethod::MOVE = 13

Definition at line 29 of file HttpMethod.class.php.

const HttpMethod::OPTIONS = 1

Definition at line 17 of file HttpMethod.class.php.

const HttpMethod::POST = 4

Definition at line 20 of file HttpMethod.class.php.

Referenced by CurlHttpClient::makeHandle().

const HttpMethod::PROPFIND = 9

Definition at line 25 of file HttpMethod.class.php.

const HttpMethod::PROPPATCH = 10

Definition at line 26 of file HttpMethod.class.php.

const HttpMethod::PUT = 5

Definition at line 21 of file HttpMethod.class.php.

const HttpMethod::TRACE = 7

Definition at line 23 of file HttpMethod.class.php.

const HttpMethod::UNLOCK = 15

Definition at line 31 of file HttpMethod.class.php.

The documentation for this class was generated from the following file:

- main/Net/Http/HttpMethod.class.php